
=encoding utf8

=head1 NAME

Sidef::Types::Array::Vector

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Vector(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Array::Array

=head1 METHODS

=head2 &

    a & b

Returns the

Aliases: I<and>

=cut

=head2 *

    a * b

Returns the

Aliases: I<mul>

=cut

=head2 **

    a ** b

Returns the

Aliases: I<pow>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>

=cut

=head2 /

    a / b

Returns the

Aliases: I<÷>, I<div>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>

=cut

=head2 abs

    v.abs

Returns the

=cut

=head2 atan2

    v1.atan2(v2)

Returns the

=cut

=head2 ceil

    self.ceil

Returns the

=cut

=head2 chebyshev_dist

    v1.chebyshev_dist(v2)

Returns the

=cut

=head2 dist

    v1.dist(v2)

Returns the

=cut

=head2 dist_norm

    v1.dist_norm(v2)

Returns the

=cut

=head2 floor

    self.floor

Returns the

=cut

=head2 manhattan_dist

    v1.manhattan_dist(v2)

Returns the

=cut

=head2 manhattan_norm

    v.manhattan_norm

Returns the

=cut

=head2 neg

    v1.neg

Returns the

=cut

=head2 new

    self.new

Returns the

Aliases: I<call>

=cut

=head2 norm

    v.norm

Returns the

=cut

=head2 not

    v1.not

Returns the

=cut

=head2 round

    self.round(digits)

Returns the

=cut

=head2 to_a

    v.to_a

Returns the

Aliases: I<to_array>

=cut

=head2 to_s

    self.to_s

Returns the

Aliases: I<dump>, I<to_str>

=cut

=head2 zero

    Vector.zero(n)

Returns the

=cut
